This documentation is archived and is not being maintained.

Minimum Configuration Requirements for Dotnetfx.exe

To help achieve satisfactory performance, the .NET Framework has minimum and recommended system requirements for client and server applications. These requirements are listed for each .NET Framework version on the .NET Framework Downloads site. 

If you need to have users install the .NET Framework from the Internet, do not post the redistributable package on your own network. Instead, direct users to the download site. 

For updated system requirements for the .NET Framework version 3.5, see System Requirements for Version 3.5.

For information about .NET Compact Framework support for mobile platforms, see Devices and Platforms Supported by the .NET Compact Framework.

To ensure the best compatibility and security for all platforms, we recommend that you upgrade to the latest Windows service pack and critical updates available from the Microsoft Update Web site.

Show: